Bug 182810 - Script is causing Amarok to crash
Summary: Script is causing Amarok to crash
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Tools/Script Manager (show other bugs)
Version: 2.1-SVN
Platform: OpenSUSE Linux
: VHI crash with 30 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 187097 189819 189970 190049 190234 190312 190455 190606 190716 190749 190931 190983 191014 191042 191498 191628 191912 192065 192076 192083 192256 192399 192969 194207 199846 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-02-02 01:15 UTC by Andreas Marschke
Modified: 2010-03-17 21:17 UTC (History)
35 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Marschke 2009-02-02 01:15:40 UTC
Version:           amarok2 2.0.1 (using KDE 4.2.0)
Compiler:          gcc 4.3.1 
OS:                Linux
Installed from:    SuSE RPMs

i addee some scripts that i downloaded fgrom kde-apps.org and since then my amarok crashes on opening 
the backtrace is here 
   1.
      Anwendung: Amarok (amarok), Signal SIGSEGV
   2.
      [?1034h[Thread debugging using libthread_db enabled]
   3.
      [Current thread is 0 (LWP 30749)]
   4.
       
   5.
      Thread 19 (Thread 0xb10e5b90 (LWP 30750)):
   6.
      #0  0xffffe430 in __kernel_vsyscall ()
   7.
      #1  0xb6b89f42 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
   8.
      #2  0xb1d296a1 in ?? () from /usr/lib/libxine.so.1
   9.
       
  10.
      Thread 18 (Thread 0xb08e4b90 (LWP 30751)):
  11.
      #0  0xb4dbd38a in clock_gettime () from /lib/librt.so.1
  12.
      #1  0xb6d02e4b in ?? () from /usr/lib/libQtCore.so.4
  13.
      #2  0xb6d03021 in ?? () from /usr/lib/libQtCore.so.4
  14.
      #3  0xb6d01323 in ?? () from /usr/lib/libQtCore.so.4
  15.
      #4  0xb4d3fe56 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
  16.
      #5  0xb4d4074d in ?? () from /usr/lib/libglib-2.0.so.0
  17.
      #6  0xb4d409d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
  18.
      #7  0xb6d01227 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
  19.
      #8  0xb6cd514a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
  20.
      #9  0xb6cd530a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
  21.
      #10 0xb6be3549 in QThread::exec () from /usr/lib/libQtCore.so.4
  22.
      #11 0xb1da1899 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
  23.
      #12 0xb6be684e in ?? () from /usr/lib/libQtCore.so.4
  24.
      #13 0xb6b86175 in start_thread () from /lib/libpthread.so.0
  25.
      #14 0xb69e5dae in clone () from /lib/libc.so.6
  26.
       
  27.
      Thread 17 (Thread 0xb008fb90 (LWP 30754)):
  28.
      #0  0xffffe430 in __kernel_vsyscall ()
  29.
      #1  0xb6b8cbab in read () from /lib/libpthread.so.0
  30.
      #2  0xb2120502 in ?? () from /usr/lib/libasound.so.2
  31.
      #3  0xb211da2d in snd_ctl_read () from /usr/lib/libasound.so.2
  32.
      #4  0xb2119dff in snd_hctl_handle_events () from /usr/lib/libasound.so.2
  33.
      #5  0xb2125f21 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
  34.
      #6  0xb1b69fc1 in ?? () from /usr/lib/xine/plugins/1.25/xineplug_ao_out_alsa.so
  35.
      Backtrace stopped: previous frame inner to this frame (corrupt stack?)
  36.
       
  37.
      Thread 16 (Thread 0xaf84cb90 (LWP 30755)):
  38.
      #0  0xffffe430 in __kernel_vsyscall ()
  39.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  40.
      #2  0xb1d3bd7c in ?? () from /usr/lib/libxine.so.1
  41.
      Backtrace stopped: previous frame inner to this frame (corrupt stack?)
  42.
       
  43.
      Thread 15 (Thread 0xae428b90 (LWP 30757)):
  44.
      #0  0xffffe430 in __kernel_vsyscall ()
  45.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  46.
      #2  0xaea5d994 in os_event_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  47.
      #3  0xaea5a6d1 in os_aio_simulated_handle () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  48.
      #4  0xaea1c20d in fil_aio_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  49.
      #5  0xae858e0e in io_handler_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  50.
      #6  0xb6b86175 in start_thread () from /lib/libpthread.so.0
  51.
      #7  0xb69e5dae in clone () from /lib/libc.so.6
  52.
       
  53.
      Thread 14 (Thread 0xad0f3b90 (LWP 30758)):
  54.
      #0  0xffffe430 in __kernel_vsyscall ()
  55.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  56.
      #2  0xaea5d994 in os_event_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  57.
      #3  0xaea5a6d1 in os_aio_simulated_handle () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  58.
      #4  0xaea1c20d in fil_aio_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  59.
      #5  0xae858e0e in io_handler_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  60.
      #6  0xb6b86175 in start_thread () from /lib/libpthread.so.0
  61.
      #7  0xb69e5dae in clone () from /lib/libc.so.6
  62.
       
  63.
      Thread 13 (Thread 0xac8f2b90 (LWP 30759)):
  64.
      #0  0xffffe430 in __kernel_vsyscall ()
  65.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  66.
      #2  0xaea5d994 in os_event_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  67.
      #3  0xaea5a6d1 in os_aio_simulated_handle () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  68.
      #4  0xaea1c20d in fil_aio_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  69.
      #5  0xae858e0e in io_handler_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  70.
      #6  0xb6b86175 in start_thread () from /lib/libpthread.so.0
  71.
      #7  0xb69e5dae in clone () from /lib/libc.so.6
  72.
       
  73.
      Thread 12 (Thread 0xac0f1b90 (LWP 30760)):
  74.
      #0  0xffffe430 in __kernel_vsyscall ()
  75.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  76.
      #2  0xaea5d994 in os_event_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  77.
      #3  0xaea5a6d1 in os_aio_simulated_handle () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  78.
      #4  0xaea1c20d in fil_aio_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  79.
      #5  0xae858e0e in io_handler_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  80.
      #6  0xb6b86175 in start_thread () from /lib/libpthread.so.0
  81.
      #7  0xb69e5dae in clone () from /lib/libc.so.6
  82.
       
  83.
      Thread 11 (Thread 0xaac60b90 (LWP 30762)):
  84.
      #0  0xffffe430 in __kernel_vsyscall ()
  85.
      #1  0xb69deed1 in select () from /lib/libc.so.6
  86.
      #2  0xaea5de4a in os_thread_sleep () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  87.
      #3  0xae855370 in srv_lock_timeout_and_monitor_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  88.
      #4  0xb6b86175 in start_thread () from /lib/libpthread.so.0
  89.
      #5  0xb69e5dae in clone () from /lib/libc.so.6
  90.
       
  91.
      Thread 10 (Thread 0xaa45fb90 (LWP 30763)):
  92.
      #0  0xffffe430 in __kernel_vsyscall ()
  93.
      #1  0xb69deed1 in select () from /lib/libc.so.6
  94.
      #2  0xaea5de4a in os_thread_sleep () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  95.
      #3  0xae8541b3 in srv_error_monitor_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
  96.
      #4  0xb6b86175 in start_thread () from /lib/libpthread.so.0
  97.
      #5  0xb69e5dae in clone () from /lib/libc.so.6
  98.
       
  99.
      Thread 9 (Thread 0xa9c5eb90 (LWP 30764)):
 100.
      #0  0xffffe430 in __kernel_vsyscall ()
 101.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 102.
      #2  0xaea5d994 in os_event_wait () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
 103.
      #3  0xae8533c9 in srv_master_thread () from /usr/lib/kde4/libamarok_collection-sqlcollection.so
 104.
      #4  0xb6b86175 in start_thread () from /lib/libpthread.so.0
 105.
      #5  0xb69e5dae in clone () from /lib/libc.so.6
 106.
       
 107.
      Thread 8 (Thread 0xa7576b90 (LWP 30765)):
 108.
      #0  0xffffe430 in __kernel_vsyscall ()
 109.
      #1  0xb6b89f42 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 110.
      #2  0xb1d380ce in ?? () from /usr/lib/libxine.so.1
 111.
      Backtrace stopped: previous frame inner to this frame (corrupt stack?)
 112.
       
 113.
      Thread 7 (Thread 0xa698cb90 (LWP 30766)):
 114.
      #0  0xffffe430 in __kernel_vsyscall ()
 115.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 116.
      #2  0xb1d2d3fc in ?? () from /usr/lib/libxine.so.1
 117.
      Backtrace stopped: previous frame inner to this frame (corrupt stack?)
 118.
       
 119.
      Thread 6 (Thread 0xa5fbeb90 (LWP 30767)):
 120.
      #0  0xffffe430 in __kernel_vsyscall ()
 121.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 122.
      #2  0xb1d2d3fc in ?? () from /usr/lib/libxine.so.1
 123.
      Backtrace stopped: previous frame inner to this frame (corrupt stack?)
 124.
       
 125.
      Thread 5 (Thread 0xa57bdb90 (LWP 30768)):
 126.
      #0  0xffffe430 in __kernel_vsyscall ()
 127.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 128.
      #2  0xb1d3ee78 in ?? () from /usr/lib/libxine.so.1
 129.
      Backtrace stopped: previous frame inner to this frame (corrupt stack?)
 130.
       
 131.
      Thread 4 (Thread 0xa4078b90 (LWP 30770)):
 132.
      #0  0xffffe430 in __kernel_vsyscall ()
 133.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 134.
      #2  0xb6be7862 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 135.
      #3  0xb6069138 in ?? () from /usr/lib/libthreadweaver.so.4
 136.
      #4  0xb606beac in ?? () from /usr/lib/libthreadweaver.so.4
 137.
      #5  0xb6067d1b in ?? () from /usr/lib/libthreadweaver.so.4
 138.
      #6  0xb606bfaa in ?? () from /usr/lib/libthreadweaver.so.4
 139.
      #7  0xb60696b3 in ?? () from /usr/lib/libthreadweaver.so.4
 140.
      #8  0xb6069fae in ?? () from /usr/lib/libthreadweaver.so.4
 141.
      #9  0xb606a5eb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 142.
      #10 0xb6be684e in ?? () from /usr/lib/libQtCore.so.4
 143.
      #11 0xb6b86175 in start_thread () from /lib/libpthread.so.0
 144.
      #12 0xb69e5dae in clone () from /lib/libc.so.6
 145.
       
 146.
      Thread 3 (Thread 0xa3826b90 (LWP 30771)):
 147.
      #0  0xffffe430 in __kernel_vsyscall ()
 148.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 149.
      #2  0xb6be7862 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 150.
      #3  0xb6069138 in ?? () from /usr/lib/libthreadweaver.so.4
 151.
      #4  0xb606beac in ?? () from /usr/lib/libthreadweaver.so.4
 152.
      #5  0xb6067d1b in ?? () from /usr/lib/libthreadweaver.so.4
 153.
      #6  0xb606bfaa in ?? () from /usr/lib/libthreadweaver.so.4
 154.
      #7  0xb60696b3 in ?? () from /usr/lib/libthreadweaver.so.4
 155.
      #8  0xb6069fae in ?? () from /usr/lib/libthreadweaver.so.4
 156.
      #9  0xb606a5eb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 157.
      #10 0xb6be684e in ?? () from /usr/lib/libQtCore.so.4
 158.
      #11 0xb6b86175 in start_thread () from /lib/libpthread.so.0
 159.
      #12 0xb69e5dae in clone () from /lib/libc.so.6
 160.
       
 161.
      Thread 2 (Thread 0xa3025b90 (LWP 30772)):
 162.
      #0  0xffffe430 in __kernel_vsyscall ()
 163.
      #1  0xb6b89c15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 164.
      #2  0xb6be7862 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 165.
      #3  0xb6069138 in ?? () from /usr/lib/libthreadweaver.so.4
 166.
      #4  0xb606beac in ?? () from /usr/lib/libthreadweaver.so.4
 167.
      #5  0xb6067d1b in ?? () from /usr/lib/libthreadweaver.so.4
 168.
      #6  0xb606bfaa in ?? () from /usr/lib/libthreadweaver.so.4
 169.
      #7  0xb60696b3 in ?? () from /usr/lib/libthreadweaver.so.4
 170.
      #8  0xb6069fae in ?? () from /usr/lib/libthreadweaver.so.4
 171.
      #9  0xb606a5eb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 172.
      #10 0xb6be684e in ?? () from /usr/lib/libQtCore.so.4
 173.
      #11 0xb6b86175 in start_thread () from /lib/libpthread.so.0
 174.
      #12 0xb69e5dae in clone () from /lib/libc.so.6
 175.
       
 176.
      Thread 1 (Thread 0xb3ae76f0 (LWP 30749)):
 177.
      [KCrash Handler]
 178.
      #6  0xb5460d53 in QFormInternal::domPropertyToVariant (afb=0xba84178, meta=0xb790bd44, p=0xd7278a0) at ../lib/uilib/properties.cpp:136
 179.
      #7  0xb5406ed7 in QFormInternal::QAbstractFormBuilder::toVariant (this=0xba84178, meta=0xb790bd44, p=0xd7278a0) at ../lib/uilib/abstractformbuilder.cpp:865
 180.
      #8  0xb541a45f in QFormInternal::QFormBuilder::applyProperties (this=0xba84178, o=0xd72e1b0, properties=@0xbff7259c) at ../lib/uilib/formbuilder.cpp:529
 181.
      #9  0xb5400890 in QFormInternal::FormBuilderPrivate::applyProperties (this=0xba84178, o=0xd72e1b0, properties=@0xbff7259c) at quiloader.cpp:158
 182.
      #10 0xb5410834 in QFormInternal::QAbstractFormBuilder::create (this=0xba84178, ui_widget=0x8c4f2f8, parentWidget=0x0) at ../lib/uilib/abstractformbuilder.cpp:272
 183.
      #11 0xb541b588 in QFormInternal::QFormBuilder::create (this=0xba84178, ui_widget=0x8c4f2f8, parentWidget=0x0) at ../lib/uilib/formbuilder.cpp:144
 184.
      #12 0xb53ffbe0 in QFormInternal::FormBuilderPrivate::create (this=0xba84178, ui_widget=0x8c4f2f8, parentWidget=0x0) at quiloader.cpp:211
 185.
      #13 0xb540a510 in QFormInternal::QAbstractFormBuilder::create (this=0xba84178, ui=0xbff72810, parentWidget=0x0) at ../lib/uilib/abstractformbuilder.cpp:210
 186.
      #14 0xb5419ddb in QFormInternal::QFormBuilder::create (this=0xba84178, ui=0xbff72810, parentWidget=0x0) at ../lib/uilib/formbuilder.cpp:353
 187.
      #15 0xb5400dfc in QFormInternal::FormBuilderPrivate::create (this=0xba84178, ui=0xbff72810, parentWidget=0x0) at quiloader.cpp:190
 188.
      #16 0xa1deb0aa in QFormInternal::QAbstractFormBuilder::load (this=0xba84178, dev=0x8b3d7e0, parentWidget=0x0) at ../lib/uilib/abstractformbuilder.cpp:189
 189.
      #17 0xa1dd812e in QUiLoader::load (this=0xcc45a40, device=0x8b3d7e0, parentWidget=0x0) at quiloader.cpp:418
 190.
      #18 0xa1dd3f0e in qtscript_QUiLoader_prototype_call (context=0xba84e18)
 191.
          at /usr/src/debug/amarok-2.0.1.1/build/src/scriptengine/generator/generator/generated_cpp/com_trolltech_qt_uitools/qtscript_QUiLoader.cpp:226
 192.
      #19 0xb5e9913e in ?? () from /usr/lib/libQtScript.so.4
 193.
      #20 0xb5e6734c in ?? () from /usr/lib/libQtScript.so.4
 194.
      #21 0xb5e91321 in ?? () from /usr/lib/libQtScript.so.4
 195.
      #22 0xb5e8017b in ?? () from /usr/lib/libQtScript.so.4
 196.
      #23 0xb5e7685f in QScriptEngine::evaluate () from /usr/lib/libQtScript.so.4
 197.
      #24 0xb7b7de71 in AmarokScript::ScriptImporter::include (this=0xba78a78, relativeFilename=@0xbff74c44) at /usr/src/debug/amarok-2.0.1.1/src/scriptengine/ScriptImporter.cpp:78
 198.
      #25 0xb7b7f6ed in AmarokScript::ScriptImporter::qt_metacall (this=0xba78a78, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbff74cb4) at /usr/src/debug/amarok-2.0.1.1/build/src/ScriptImporter.moc:72
 199.
      #26 0xb5ec0b8c in ?? () from /usr/lib/libQtScript.so.4
 200.
      #27 0xb5e6734c in ?? () from /usr/lib/libQtScript.so.4
 201.
      #28 0xb5e91321 in ?? () from /usr/lib/libQtScript.so.4
 202.
      #29 0xb5e8017b in ?? () from /usr/lib/libQtScript.so.4
 203.
      #30 0xb5e7685f in QScriptEngine::evaluate () from /usr/lib/libQtScript.so.4
 204.
      #31 0xb7c08fe3 in ScriptManager::slotRunScript (this=0x8ed5728, name=
 205.
            {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 25434}, alloc = 0, size = 0, data = 0xb6dbb45a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 569}, alloc = 0, size = 0, data = 0xb6dbb46e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xbff768c4, static codecForCStrings = 0x8067f28}, silent=false) at /usr/src/debug/amarok-2.0.1.1/src/dialogs/ScriptManager.cpp:436
 206.
      #32 0xb7c09da0 in ScriptManager::slotConfigChanged (this=0x8ed5728, changed=true) at /usr/src/debug/amarok-2.0.1.1/src/dialogs/ScriptManager.cpp:515
 207.
      #33 0xb7c0b512 in ScriptManager::findScripts (this=0x8ed5728) at /usr/src/debug/amarok-2.0.1.1/src/dialogs/ScriptManager.cpp:280
 208.
      #34 0xb7c0b9d3 in ScriptManager::qt_metacall (this=0x8ed5728, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbff76a98) at /usr/src/debug/amarok-2.0.1.1/build/src/ScriptManager.moc:91
 209.
      #35 0xb6ceb740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
 210.
      #36 0xb6cec4c2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
 211.
      #37 0xb6cf1b87 in ?? () from /usr/lib/libQtCore.so.4
 212.
      #38 0xb6cf1cac in ?? () from /usr/lib/libQtCore.so.4
 213.
      #39 0xb6ce61ff in QObject::event () from /usr/lib/libQtCore.so.4
 214.
      #40 0xb715882c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
 215.
      #41 0xb71606ce in QApplication::notify () from /usr/lib/libQtGui.so.4
 216.
      #42 0xb7e9068d in KApplication::notify () from /usr/lib/libkdeui.so.5
 217.
      #43 0xb6cd6a71 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
 218.
      #44 0xb6d04de6 in ?? () from /usr/lib/libQtCore.so.4
 219.
      #45 0xb6d012b0 in ?? () from /usr/lib/libQtCore.so.4
 220.
      #46 0xb4d3d2d9 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
 221.
      #47 0xb4d4085b in ?? () from /usr/lib/libglib-2.0.so.0
 222.
      #48 0xb4d409d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
 223.
      #49 0xb6d01208 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
 224.
      #50 0xb71f18b5 in ?? () from /usr/lib/libQtGui.so.4
 225.
      #51 0xb6cd514a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
 226.
      #52 0xb6cd530a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
 227.
      #53 0xb6cd79a5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
 228.
      #54 0xb71586a7 in QApplication::exec () from /usr/lib/libQtGui.so.4
 229.
      #55 0x0804c0a2 in main (argc=1, argv=0xbff77714) at /usr/src/debug/amarok-2.0.1.1/src/main.cpp:130


I can reproduce it after adding some scripts for german raadio and other s...

Then restart the program

It takes some seconds the GUI is loadfing music is playing and the program crashes
Comment 1 Giulio Guzzinati 2009-03-09 14:10:42 UTC
I can confirm this on kubuntu 8.10 with kde 4.2 ando qt 4.5.
Playlist2Cd crashes Amarok. Backtrace:

Applicazione: Amarok (amarok), segnale SIGSEGV
[Current thread is 0 (LWP 11921)]

Thread 11 (Thread 0xb0aafb90 (LWP 11922)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb68153a2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0c14 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb15a666f in ?? () from /usr/lib/libxine.so.1

Thread 10 (Thread 0xb0227b90 (LWP 11923)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb69dadf1 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0xb7efb210 in QEventDispatcherUNIX::select (this=0x8ce1768, nfds=32, readfds=0x8cff79c, writefds=0x8cff9b0, exceptfds=0x8cffbc4, timeout=0x0) at kernel/qeventdispatcher_unix.cpp:617
#3  0xb7efb9b8 in QEventDispatcherUNIXPrivate::doSelect (this=0x8cff6b0, flags={i = -1339919784}, timeout=0x0) at kernel/qeventdispatcher_unix.cpp:170
#4  0xb7efcfa1 in QEventDispatcherUNIX::processEvents (this=0x8ce1768, flags={i = -1339919736}) at kernel/qeventdispatcher_unix.cpp:904
#5  0xb7ecc06a in QEventLoop::processEvents (this=0xb0227300, flags={i = -1339919672}) at kernel/qeventloop.cpp:149
#6  0xb7ecc4aa in QEventLoop::exec (this=0xb0227300, flags={i = -1339919608}) at kernel/qeventloop.cpp:200
#7  0xb7dd6639 in QThread::exec (this=0x8ce23c8) at thread/qthread.cpp:481
#8  0xb15f6512 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#9  0xb7dd996e in QThreadPrivate::start (arg=0x8ce23c8) at thread/qthread_unix.cpp:189
#10 0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xaf8ffb90 (LWP 11926)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb69d8167 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0xb02a8f9b in ?? () from /usr/lib/xine/plugins/1.24/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 8 (Thread 0xaf0feb90 (LWP 11927)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb6815075 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0bbd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb15b8843 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 7 (Thread 0xae241b90 (LWP 11929)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb6815075 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0bbd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7dda9b2 in QWaitCondition::wait (this=0x96a2838, mutex=0x96a2a80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb57f5148 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x96a2820, th=0x96a2df8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb57f7eec in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x96a2b18, th=0x96a2df8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb57f3d2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x96a2820, th=0x96a2df8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb57f7fea in ThreadWeaver::WorkingHardState::applyForWork (this=0x96a2b18, th=0x96a2df8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb57f56d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x96a2820, th=0x96a2df8, previous=0x97bc350) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb57f5fbe in ThreadWeaver::ThreadRunHelper::run (this=0xae241350, parent=0x96a2820, th=0x96a2df8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:87
#10 0xb57f65fb in ThreadWeaver::Thread::run (this=0x96a2df8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:142
#11 0xb7dd996e in QThreadPrivate::start (arg=0x96a2df8) at thread/qthread_unix.cpp:189
#12 0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xac657b90 (LWP 11930)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb69dadf1 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0xb7eab350 in QProcessManager::run (this=0x8bf1678) at io/qprocess_unix.cpp:305
#3  0xb7dd996e in QThreadPrivate::start (arg=0x8bf1678) at thread/qthread_unix.cpp:189
#4  0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa1efab90 (LWP 11936)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb6815075 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0bbd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7dda9b2 in QWaitCondition::wait (this=0x971b668, mutex=0x971b66c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xae3d1488 in XmlParseJob::run (this=0x971b648) at /build/buildd/amarok-kde4-2.0.1.1/src/collection/sqlcollection/ScanManager.cpp:505
#5  0xb57f7014 in ThreadWeaver::JobRunHelper::runTheJob (this=0xa1efa2e8, th=0x964ca28, job=0x971b648) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Job.cpp:106
#6  0xb57f73b9 in ThreadWeaver::Job::execute (this=0x971b648, th=0x964ca28) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Job.cpp:135
#7  0xb57f5f8a in ThreadWeaver::ThreadRunHelper::run (this=0xa1efa350, parent=0x96a2820, th=0x964ca28) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:95
#8  0xb57f65fb in ThreadWeaver::Thread::run (this=0x964ca28) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:142
#9  0xb7dd996e in QThreadPrivate::start (arg=0x964ca28) at thread/qthread_unix.cpp:189
#10 0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xa16f9b90 (LWP 11937)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb6815075 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0bbd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7dda9b2 in QWaitCondition::wait (this=0x96a2838, mutex=0x96a2a80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb57f5148 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x96a2820, th=0x92956d0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb57f7eec in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x96a2b18, th=0x92956d0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb57f3d2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x96a2820, th=0x92956d0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb57f7fea in ThreadWeaver::WorkingHardState::applyForWork (this=0x96a2b18, th=0x92956d0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb57f56d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x96a2820, th=0x92956d0, previous=0x97f76b8) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb57f5fbe in ThreadWeaver::ThreadRunHelper::run (this=0xa16f9350, parent=0x96a2820, th=0x92956d0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:87
#10 0xb57f65fb in ThreadWeaver::Thread::run (this=0x92956d0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:142
#11 0xb7dd996e in QThreadPrivate::start (arg=0x92956d0) at thread/qthread_unix.cpp:189
#12 0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xa0ef8b90 (LWP 11938)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb6815075 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0bbd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7dda9b2 in QWaitCondition::wait (this=0x96a2838, mutex=0x96a2a80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb57f5148 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x96a2820, th=0x912f5c0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb57f7eec in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x96a2b18, th=0x912f5c0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb57f3d2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x96a2820, th=0x912f5c0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb57f7fea in ThreadWeaver::WorkingHardState::applyForWork (this=0x96a2b18, th=0x912f5c0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb57f56d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x96a2820, th=0x912f5c0, previous=0x97f6900) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb57f5fbe in ThreadWeaver::ThreadRunHelper::run (this=0xa0ef8350, parent=0x96a2820, th=0x912f5c0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:87
#10 0xb57f65fb in ThreadWeaver::Thread::run (this=0x912f5c0) at /build/buildd/kde4libs-4.2.1a/threadweaver/Weaver/Thread.cpp:142
#11 0xb7dd996e in QThreadPrivate::start (arg=0x912f5c0) at thread/qthread_unix.cpp:189
#12 0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0x9a8dab90 (LWP 11944)):
#0  0xb7fff430 in __kernel_vsyscall ()
#1  0xb68153a2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69f0c14 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7dda98c in QWaitCondition::wait (this=0x91c10d8, mutex=0x91c10d4, time=30000) at thread/qwaitcondition_unix.cpp:85
#4  0xb7dcfe76 in QThreadPoolThread::run (this=0x97fa160) at concurrent/qthreadpool.cpp:140
#5  0xb7dd996e in QThreadPrivate::start (arg=0x97fa160) at thread/qthread_unix.cpp:189
#6  0xb681150f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0xb69e2a0e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb30aa6e0 (LWP 11921)):
[KCrash Handler]
#6  0xb7ee4951 in QMetaObject::activate (sender=0xb73d818, m=0xb6defa8c, local_signal_index=2, argv=0x0) at kernel/qobject.cpp:3139
#7  0xb6c86987 in ScriptableServiceScript::customize (this=0xb73d818) at /build/buildd/amarok-kde4-2.0.1.1/obj-i486-linux-gnu/src/AmarokScriptableServiceScript.moc:221
#8  0xb6c87cfc in ScriptableServiceScript::slotCustomize (this=0xb73d818, name=@0xbf7fea38) at /build/buildd/amarok-kde4-2.0.1.1/src/scriptengine/AmarokScriptableServiceScript.cpp:240
#9  0xb6d212ab in ScriptManager::ServiceScriptCustomize (this=0x964b390, name=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 33341}, alloc = 0, size = 0, data = 0xb7fc2a5a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2818}, alloc = 0, size = 0, data = 0xb7fc2a6e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xbf7fea38, static codecForCStrings = 0x8be2a98}) at /build/buildd/amarok-kde4-2.0.1.1/src/dialogs/ScriptManager.cpp:496
#10 0xb6d25b4c in ScriptManager::slotRunScript (this=0x964b390, name=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 33341}, alloc = 0, size = 0, data = 0xb7fc2a5a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2818}, alloc = 0, size = 0, data = 0xb7fc2a6e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xbf7feb34, static codecForCStrings = 0x8be2a98}, silent=false) at /build/buildd/amarok-kde4-2.0.1.1/src/dialogs/ScriptManager.cpp:456
#11 0xb6d25f70 in ScriptManager::slotConfigChanged (this=0x964b390, changed=true) at /build/buildd/amarok-kde4-2.0.1.1/src/dialogs/ScriptManager.cpp:515
#12 0xb6d277e2 in ScriptManager::findScripts (this=0x964b390) at /build/buildd/amarok-kde4-2.0.1.1/src/dialogs/ScriptManager.cpp:280
#13 0xb6d27cb3 in ScriptManager::qt_metacall (this=0x964b390, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbf7fed08) at /build/buildd/amarok-kde4-2.0.1.1/obj-i486-linux-gnu/src/ScriptManager.moc:91
#14 0xb7ee3ca8 in QMetaObject::activate (sender=0x964cdf0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3069
#15 0xb7ee4932 in QMetaObject::activate (sender=0x964cdf0, m=0xb7fbf908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3143
#16 0xb7ee90a7 in QSingleShotTimer::timeout (this=0x964cdf0) at .moc/release-shared/qtimer.moc:76
#17 0xb7ee91cc in QSingleShotTimer::timerEvent (this=0x964cdf0) at kernel/qtimer.cpp:298
#18 0xb7ede15f in QObject::event (this=0x964cdf0, e=0xbf7ff18c) at kernel/qobject.cpp:1082
#19 0xb72b1fdc in QApplicationPrivate::notify_helper (this=0x8bfc150, receiver=0x964cdf0, e=0xbf7ff18c) at kernel/qapplication.cpp:4084
#20 0xb72ba2be in QApplication::notify (this=0xbf7ff524, receiver=0x964cdf0, e=0xbf7ff18c) at kernel/qapplication.cpp:3631
#21 0xb6fc110d in KApplication::notify (this=0xbf7ff524, receiver=0x964cdf0, event=0xbf7ff18c) at /build/buildd/kde4libs-4.2.1a/kdeui/kernel/kapplication.cpp:307
#22 0xb7ecda3b in QCoreApplication::notifyInternal (this=0xbf7ff524, receiver=0x964cdf0, event=0xbf7ff18c) at kernel/qcoreapplication.cpp:602
#23 0xb7efcd71 in QTimerInfoList::activateTimers (this=0x8bfcb2c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#24 0xb7efd00b in QEventDispatcherUNIX::processEvents (this=0x8be8cd8, flags={i = -1082133880}) at kernel/qeventdispatcher_unix.cpp:908
#25 0xb73546e2 in QEventDispatcherX11::processEvents (this=0x8be8cd8, flags={i = -1082133432}) at kernel/qeventdispatcher_x11.cpp:152
#26 0xb7ecc06a in QEventLoop::processEvents (this=0xbf7ff4c0, flags={i = -1082133368}) at kernel/qeventloop.cpp:149
#27 0xb7ecc4aa in QEventLoop::exec (this=0xbf7ff4c0, flags={i = -1082133304}) at kernel/qeventloop.cpp:200
#28 0xb7ece959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#29 0xb72b1e57 in QApplication::exec () at kernel/qapplication.cpp:3553
#30 0x0804c042 in main (argc=1, argv=0xbf7ffa24) at /build/buildd/amarok-kde4-2.0.1.1/src/main.cpp:130
Comment 2 Mark Kretschmann 2009-04-16 17:44:30 UTC
*** Bug 189819 has been marked as a duplicate of this bug. ***
Comment 3 Mark Kretschmann 2009-04-18 16:56:40 UTC
*** Bug 189970 has been marked as a duplicate of this bug. ***
Comment 4 Mark Kretschmann 2009-04-18 18:20:11 UTC
Confirming based on huge number of user reports.
Comment 5 Mark Kretschmann 2009-04-18 18:21:27 UTC
*** Bug 187097 has been marked as a duplicate of this bug. ***
Comment 6 Mark Kretschmann 2009-04-19 12:42:48 UTC
*** Bug 190049 has been marked as a duplicate of this bug. ***
Comment 7 Mark Kretschmann 2009-04-21 11:33:10 UTC
*** Bug 190234 has been marked as a duplicate of this bug. ***
Comment 8 Leo Franchi 2009-04-21 15:03:38 UTC
could you try to narrow it down to which script?
Comment 9 Leo Franchi 2009-04-21 15:04:53 UTC
ah, i see the later comments included the amarok2cd script. will look into it
Comment 10 Thomas Thym 2009-04-21 20:49:31 UTC
(In reply to comment #9)
> ah, i see the later comments included the amarok2cd script. will look into it

In my case it was the amaroKnotify-script.
(Backtrace here: http://bugs.kde.org/show_bug.cgi?id=190234)
Comment 11 Seb Ruiz 2009-04-22 01:37:25 UTC
*** Bug 190312 has been marked as a duplicate of this bug. ***
Comment 12 Mark Kretschmann 2009-04-23 20:15:39 UTC
*** Bug 190455 has been marked as a duplicate of this bug. ***
Comment 13 Omega9 2009-04-25 05:52:46 UTC
xubuntu 9.04

Приложение: Amarok (amarok), сигнал SIGSEGV
[Current thread is 0 (LWP 6601)]

Thread 7 (Thread 0xb234fb90 (LWP 6603)):
#0  0xb7ffd430 in __kernel_vsyscall ()
#1  0xb78760e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb24d178f in ?? () from /usr/lib/libjack.so.0
#3  0xb78724ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0xb679b49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xb146ab90 (LWP 6605)):
#0  0xb7ffd430 in __kernel_vsyscall ()
#1  0xb78760e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69969b2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0xb5df6148 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0xb5df8eec in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb5df4d2b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb5df8fea in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb5df9009 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb5df6fbe in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb5df75fb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#12 0xb699596e in ?? () from /usr/lib/libQtCore.so.4
#13 0xb78724ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0xb679b49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xaff1eb90 (LWP 6606)):
#0  0xb7ffd430 in __kernel_vsyscall ()
#1  0xb78760e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69969b2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0xb5df6148 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0xb5df8eec in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb5df4d2b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb5df8fea in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb5df6fbe in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb5df75fb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#10 0xb699596e in ?? () from /usr/lib/libQtCore.so.4
#11 0xb78724ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0xb679b49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xaf71db90 (LWP 6607)):
#0  0xb7ffd430 in __kernel_vsyscall ()
#1  0xb78760e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69969b2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0xb5df6148 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0xb5df8eec in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb5df4d2b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb5df8fea in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb5df9009 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb5df9009 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb5df6fbe in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb5df75fb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#14 0xb699596e in ?? () from /usr/lib/libQtCore.so.4
#15 0xb78724ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0xb679b49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xaef1cb90 (LWP 6608)):
#0  0xb7ffd430 in __kernel_vsyscall ()
#1  0xb78760e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb69969b2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0xb5df6148 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0xb5df8eec in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb5df4d2b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb5df8fea in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb5df9009 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb5df66d3 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb5df6fbe in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb5df75fb in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
#12 0xb699596e in ?? () from /usr/lib/libQtCore.so.4
#13 0xb78724ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0xb679b49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0x9e947b90 (LWP 6609)):
#0  0xb7ffd430 in __kernel_vsyscall ()
#1  0xb7876412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb699698c in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0xb698be76 in ?? () from /usr/lib/libQtCore.so.4
#4  0xb699596e in ?? () from /usr/lib/libQtCore.so.4
#5  0xb78724ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0xb679b49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb3f70710 (LWP 6601)):
[KCrash Handler]
#6  0xb4c45733 in QFormInternal::domPropertyToVariant () from /usr/lib/libamarokplasma.so.2
#7  0xb4bea437 in QFormInternal::QAbstractFormBuilder::toVariant () from /usr/lib/libamarokplasma.so.2
#8  0xb4c03cfa in QFormInternal::QFormBuilder::applyProperties () from /usr/lib/libamarokplasma.so.2
#9  0xb4be0efd in QFormInternal::FormBuilderPrivate::applyProperties () from /usr/lib/libamarokplasma.so.2
#10 0xb4bed9eb in QFormInternal::QAbstractFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#11 0xb4c05248 in QFormInternal::QFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#12 0xb4bdf353 in QFormInternal::FormBuilderPrivate::create () from /usr/lib/libamarokplasma.so.2
#13 0xb4bec704 in QFormInternal::QAbstractFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#14 0xb4c03a8b in QFormInternal::QFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#15 0xb4bdf821 in QFormInternal::FormBuilderPrivate::create () from /usr/lib/libamarokplasma.so.2
#16 0x9f483ff6 in QFormInternal::QAbstractFormBuilder::load () from /usr/lib/kde4/plugins/script/libqtscript_uitools.so
#17 0x9f46a5fa in QUiLoader::load () from /usr/lib/kde4/plugins/script/libqtscript_uitools.so
#18 0x9f46656c in ?? () from /usr/lib/kde4/plugins/script/libqtscript_uitools.so
#19 0xb5c1108b in ?? () from /usr/lib/libQtScript.so.4
#20 0xb5bd8832 in ?? () from /usr/lib/libQtScript.so.4
#21 0xb5c0817b in ?? () from /usr/lib/libQtScript.so.4
#22 0xb5bfc22b in ?? () from /usr/lib/libQtScript.so.4
#23 0xb5be9617 in QScriptEngine::evaluate () from /usr/lib/libQtScript.so.4
#24 0xb7b90c13 in ScriptManager::slotRunScript () from /usr/lib/libamaroklib.so.1
#25 0xb7b91a60 in ScriptManager::slotConfigChanged () from /usr/lib/libamaroklib.so.1
#26 0xb7b932d2 in ScriptManager::findScripts () from /usr/lib/libamaroklib.so.1
#27 0xb7b937a3 in ScriptManager::qt_metacall () from /usr/lib/libamaroklib.so.1
#28 0xb6a9fca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#29 0xb6aa0932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#30 0xb6aa50a7 in ?? () from /usr/lib/libQtCore.so.4
#31 0xb6aa51cc in ?? () from /usr/lib/libQtCore.so.4
#32 0xb6a9a15f in QObject::event () from /usr/lib/libQtCore.so.4
#33 0xb6f5af2c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#34 0xb6f6322e in QApplication::notify () from /usr/lib/libQtGui.so.4
#35 0xb7e4a94d in KApplication::notify () from /usr/lib/libkdeui.so.5
#36 0xb6a89a3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#37 0xb6ab8d71 in ?? () from /usr/lib/libQtCore.so.4
#38 0xb6ab54e0 in ?? () from /usr/lib/libQtCore.so.4
#39 0xb44aeb88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#40 0xb44b20eb in ?? () from /usr/lib/libglib-2.0.so.0
#41 0xb44b2268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#42 0xb6ab5438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#43 0xb6ffc3f5 in ?? () from /usr/lib/libQtGui.so.4
#44 0xb6a8806a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#45 0xb6a884aa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#46 0xb6a8a959 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#47 0xb6f5ada7 in QApplication::exec () from /usr/lib/libQtGui.so.4
#48 0x0814c4b2 in _start ()
Comment 14 Chris Pick 2009-04-25 23:58:44 UTC
I am running Ubuntu 6.04 64 bit, I have also started receiving this crash Version 2.0.2 Using KDE 4.2.2 (I run Gnome, but I copied the KDE version from Amarok's help->about).  I got the crash after installing the "Alarm" script from the script manager, after installing the script Amarok would crash any time I tried to run it.  To stop it from crashing I had to delete the Alarm script's directory (~/.kde/share/apps/amarok/scripts/alarm).

Stacktrace:
Application: Amarok (amarok), signal SIGSEGV
0x00007fa7dab85d21 in nanosleep () from /lib/libc.so.6
[Current thread is 0 (LWP 5423)]

Thread 5 (Thread 0x7fa7c3968950 (LWP 5424)):
#0  0x00007fa7dd3d356d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fa7c77f1f91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fa7dd3cf3ba in start_thread () from /lib/libpthread.so.0
#3  0x00007fa7dabc3fcd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa7c28f8950 (LWP 5425)):
#0  0x00007fa7dabba496 in poll () from /lib/libc.so.6
#1  0x00007fa7d3a5277f in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fa7d3a52a7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fa7db778e8e in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#4  0x00007fa7db74e002 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#5  0x00007fa7db74e3cd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#6  0x00007fa7db6639b8 in QThread::exec () from /usr/lib/libQtCore.so.4
#7  0x00007fa7c7a4d62c in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fa7db666952 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007fa7dd3cf3ba in start_thread () from /lib/libpthread.so.0
#10 0x00007fa7dabc3fcd in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa7bdce5950 (LWP 5431)):
#0  0x00007fa7dabba496 in poll () from /lib/libc.so.6
#1  0x00007fa7c1ef2969 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007fa7dd3cf3ba in start_thread () from /lib/libpthread.so.0
#3  0x00007fa7dabc3fcd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa7c1ae0950 (LWP 5432)):
#0  0x00007fa7dd3d32e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fa7c7803353 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fa7dd3cf3ba in start_thread () from /lib/libpthread.so.0
#3  0x00007fa7dabc3fcd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa7de523790 (LWP 5423)):
[KCrash Handler]
#5  0x00007fa7d58a4c37 in QFormInternal::domPropertyToVariant () from /usr/lib/libamarokplasma.so.2
#6  0x00007fa7d584ab39 in QFormInternal::QAbstractFormBuilder::toVariant () from /usr/lib/libamarokplasma.so.2
#7  0x00007fa7d5863897 in QFormInternal::QFormBuilder::applyProperties () from /usr/lib/libamarokplasma.so.2
#8  0x00007fa7d5841c6f in QFormInternal::FormBuilderPrivate::applyProperties () from /usr/lib/libamarokplasma.so.2
#9  0x00007fa7d584e106 in QFormInternal::QAbstractFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#10 0x00007fa7d5864f11 in QFormInternal::QFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#11 0x00007fa7d58401ae in QFormInternal::FormBuilderPrivate::create () from /usr/lib/libamarokplasma.so.2
#12 0x00007fa7d584d707 in QFormInternal::QAbstractFormBuilder::create () from /usr/lib/libamarokplasma.so.2
#13 0x00007fa7d584068b in QFormInternal::FormBuilderPrivate::create () from /usr/lib/libamarokplasma.so.2
#14 0x00007fa7b1e384ec in QFormInternal::QAbstractFormBuilder::load () from /usr/lib/kde4/plugins/script/libqtscript_uitools.so
#15 0x00007fa7b1e1f61d in QUiLoader::load () from /usr/lib/kde4/plugins/script/libqtscript_uitools.so
#16 0x00007fa7b1e1bfcf in ?? () from /usr/lib/kde4/plugins/script/libqtscript_uitools.so
#17 0x00007fa7d72be57c in ?? () from /usr/lib/libQtScript.so.4
#18 0x00007fa7d72855ce in ?? () from /usr/lib/libQtScript.so.4
#19 0x00007fa7d72b66b5 in ?? () from /usr/lib/libQtScript.so.4
#20 0x00007fa7d7297584 in QScriptEngine::evaluate () from /usr/lib/libQtScript.so.4
#21 0x00007fa7ddb0ba2d in ScriptManager::slotRunScript () from /usr/lib/libamaroklib.so.1
#22 0x00007fa7ddb0c7a2 in ScriptManager::slotConfigChanged () from /usr/lib/libamaroklib.so.1
#23 0x00007fa7ddb0cef8 in ScriptManager::findScripts () from /usr/lib/libamaroklib.so.1
#24 0x00007fa7ddb0e348 in ScriptManager::qt_metacall () from /usr/lib/libamaroklib.so.1
#25 0x00007fa7db7651f2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#26 0x00007fa7db76a52f in ?? () from /usr/lib/libQtCore.so.4
#27 0x00007fa7db75f4d3 in QObject::event () from /usr/lib/libQtCore.so.4
#28 0x00007fa7dc2f883d in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#29 0x00007fa7dc300a2a in QApplication::notify () from /usr/lib/libQtGui.so.4
#30 0x00007fa7de05b26b in KApplication::notify () from /usr/lib/libkdeui.so.5
#31 0x00007fa7db74f75c in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#32 0x00007fa7db77c7f6 in ?? () from /usr/lib/libQtCore.so.4
#33 0x00007fa7db778f0d in ?? () from /usr/lib/libQtCore.so.4
#34 0x00007fa7d3a4f20a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#35 0x00007fa7d3a528e0 in ?? () from /usr/lib/libglib-2.0.so.0
#36 0x00007fa7d3a52a7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#37 0x00007fa7db778e6f in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#38 0x00007fa7dc390c9f in ?? () from /usr/lib/libQtGui.so.4
#39 0x00007fa7db74e002 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#40 0x00007fa7db74e3cd in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#41 0x00007fa7db750694 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#42 0x0000000000533127 in _start ()
Comment 15 Andreas Marschke 2009-04-26 11:55:46 UTC
Ok so now any Idea one of you guys what to do? Is there somebody working on it already or do we have to wait till next release? 

If not I woukld like to see for my self if i get it together
Comment 16 Mark Kretschmann 2009-04-26 12:07:50 UTC
@Andreas: Yes, we've just started talking to our packagers, as it could possibly be a packaging issue. We developers can't really reproduce the problems.


Is anyone here having these problems with a self-compiled Amarok? (and self-built script bindings)
Comment 17 Dario Andres 2009-04-26 16:05:03 UTC
*** Bug 190716 has been marked as a duplicate of this bug. ***
Comment 18 Mark Kretschmann 2009-04-26 17:12:06 UTC
*** Bug 190606 has been marked as a duplicate of this bug. ***
Comment 19 Mark Kretschmann 2009-04-27 10:32:25 UTC
*** Bug 190749 has been marked as a duplicate of this bug. ***
Comment 20 Mark Kretschmann 2009-04-28 19:02:13 UTC
*** Bug 190931 has been marked as a duplicate of this bug. ***
Comment 21 Seb Ruiz 2009-04-29 01:58:56 UTC
*** Bug 190983 has been marked as a duplicate of this bug. ***
Comment 22 Mark Kretschmann 2009-04-29 11:43:14 UTC
*** Bug 191014 has been marked as a duplicate of this bug. ***
Comment 23 Mark Kretschmann 2009-04-29 16:28:28 UTC
*** Bug 191042 has been marked as a duplicate of this bug. ***
Comment 24 Dario Andres 2009-05-03 21:55:10 UTC
*** Bug 191498 has been marked as a duplicate of this bug. ***
Comment 25 Nikolaj Hald Nielsen 2009-05-04 15:13:58 UTC
There is a few things going on in this bug repport so I think it is worth nothing a few things.

In Amarok 2.0.1.1, a script throwing an unhanded exception could bring down Amarok. This was fixed in 2.0.2 and should no longer be an issue.

The remaining issue is proving much tougher to solve however. The core of the issue is that, on some systems, trying to load a UI file from within Amarok (anything like this "UIloader.load( uifile, this);") causes a crash. Every time.

Looking at the backtrace is where it gets really nasty though. 
#12 0x00007fa7d584d707 in QFormInternal::QAbstractFormBuilder::create () from
/usr/lib/libamarokplasma.so.2
#13 0x00007fa7d584068b in QFormInternal::FormBuilderPrivate::create () from
/usr/lib/libamarokplasma.so.2
#14 0x00007fa7b1e384ec in QFormInternal::QAbstractFormBuilder::load () from
/usr/lib/kde4/plugins/script/libqtscript_uitools.so

Reading from the bottom, we start out by having a call to QFormInternal::QAbstractFormBuilder::load (), in libqtscript_uitools.so. This is what we would expect as we are telling Qt to load a ui file. Then things starts to go badly wrong. On the next line (13) QFormInternal::FormBuilderPrivate::create () is called. This also makes sense as it is likely a step in parsing a ui file, what does not make sense is that this function is called in the libamarokplasma.so.2 lib. (Note that Amarok 2.1.0 does not build its own plasma lib but relies on the system one, but the issue is essentially the same, it just calls it in libplasma instead of libamarokplasma )

It would seem that, for some reason, plasma is exporting some symbols that are also exported by the Qt uitools lib, and that the linker somehow manages to switch around between these 2 libs in mid flight.

As to why this happens or how to fix it, any ideas would be very welcome!
Comment 26 Dario Andres 2009-05-05 19:06:26 UTC
*** Bug 191628 has been marked as a duplicate of this bug. ***
Comment 27 Dario Andres 2009-05-07 23:40:07 UTC
*** Bug 191912 has been marked as a duplicate of this bug. ***
Comment 28 Dario Andres 2009-05-08 20:23:47 UTC
*** Bug 192065 has been marked as a duplicate of this bug. ***
Comment 29 Dario Andres 2009-05-08 22:23:47 UTC
*** Bug 192076 has been marked as a duplicate of this bug. ***
Comment 30 Dario Andres 2009-05-09 01:58:27 UTC
*** Bug 192083 has been marked as a duplicate of this bug. ***
Comment 31 Andreas Marschke 2009-05-09 21:27:36 UTC
So we know now that there is a pretty disgusting thing going on between the amarokplasma and the QT plasma libs thats fine thats allright though.
But as Mark said it seems to be an issue that was caused by the Packagers.
So what did they say to this issue now? Wil they keep an eye on that until next time they package it?
Comment 32 Kevin Funk 2009-05-12 10:18:29 UTC
*** Bug 192399 has been marked as a duplicate of this bug. ***
Comment 33 ranowd 2009-05-12 15:39:16 UTC
Hey everyone,

does anyone know how I could create a fresh installation of my Amarok?
I removed it from synaptic and then added it again, but I noticed that the settings and everything is the same, as if I did not remove anything. I am kinda stuck here.. I cant touch amarok, coz it crashes as soon as I open it and my way of reinstalling does not change anything.

I am using ubuntu jaunty, amarok2 2.0.1 and KDE 4.2.0

thanks in advance,
ranowd
Comment 34 Leo Franchi 2009-05-12 15:43:39 UTC
you can edit ~/.kde/share/config/amarokrc and remove all scripts from starting.

or, to make it simpler, just erase that file completely.
Comment 35 Mark Kretschmann 2009-05-16 08:01:26 UTC
*** Bug 192256 has been marked as a duplicate of this bug. ***
Comment 36 Mark Kretschmann 2009-05-17 10:11:53 UTC
*** Bug 192969 has been marked as a duplicate of this bug. ***
Comment 37 Mark Kretschmann 2009-05-26 22:01:20 UTC
*** Bug 194207 has been marked as a duplicate of this bug. ***
Comment 38 Dario Andres 2009-07-13 15:28:56 UTC
*** Bug 199846 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2009-07-17 10:51:12 UTC
Any news on this? Besides having tons of duplicates? Nikolaj has an interesting comment in #25 to give a clue...
Comment 40 Myriam Schweingruber 2009-07-29 12:45:11 UTC
OK, nobody reacted on my last call about this bug. It was suspected to be a packaging issue, have we talked to the packagers since to sort this out?

Also, the bug is still only reported for <=2.1, is anybody able to reproduce this in current 2.2-git?
Comment 41 Nikolaj Hald Nielsen 2009-07-29 13:18:58 UTC
I cannot reproduce it using a self built 2.2-svn on a standard Kubuntu Karmic, so hopefully something has changed in the packages to make it go away!
Comment 42 Myriam Schweingruber 2009-07-29 17:33:57 UTC
Neither can I. Closing this bug for now, anyone, feel free to reopen it if you can reproduce this with either current 2.2-git or the next 2.2 version.
Comment 43 Sven Langkamp 2010-03-17 15:35:57 UTC
The problem is most likely this problem:
http://bugreports.qt.nokia.com/browse/QTBUG-437
That also explains why it works if you build yourself.

Same bug also appears in Krita. See bug 231077
Comment 44 Myriam Schweingruber 2010-03-17 19:48:17 UTC
(In reply to comment #43)
> The problem is most likely this problem:
> http://bugreports.qt.nokia.com/browse/QTBUG-437
> That also explains why it works if you build yourself.
> 
> Same bug also appears in Krita. See bug 231077

That bug is about Qmake, we use cmake in Amarok.
Comment 45 Sven Langkamp 2010-03-17 20:11:56 UTC
No, it's a buildsystem problem in Qt. The problem is that the library is build as static instead of shared library.
Comment 46 Myriam Schweingruber 2010-03-17 20:34:50 UTC
Sven, are you actually requesting this bug to be reopened? Can you reproduce this with current Amarok 2.3.0?
Comment 47 Sven Langkamp 2010-03-17 21:17:56 UTC
It's an upstream bug. I can't reproduce it. To do that you would have to compile Amarok with one Qt version and then run it with another changed version, I think.